TAN(3)

NAME
tan - tangent function

SYNOPSIS
#include <math.h>
double
tan(double x);
long double
tanl(long double x);
float
tanf(float x);

DESCRIPTION
The tan() function computes the tangent of x (measured in radians).

SPECIAL VALUES
tan(±0) returns ±0.

tan(±infinity) returns a NaN and raises the "invalid" floating-point exception.

VECTOR OPERATIONS
If you need to apply the tan() function to SIMD vectors or arrays, using the following functions provided by the Accelerate.framework may give significantly better performance:

#include <Accelerate/Accelerate.h>

vFloat vtanf(vFloat x);
void vvtanf(float *y, const float *x, const int *n);
void vvtan(double *y, const double *x, const int *n);

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), sin(3), sinh(3), tanh(3), math(3)

STANDARDS
The tan() function conforms to ISO/IEC 9899:2011.